# How i18n works?

*According to [w3c](https://www.w3.org/International/questions/qa-i18n)*:
> Internationalization is the design and development of a product, application or document content that enables easy localization for target audiences that vary in culture, region, or language.    
Internationalization is often written i18n, where 18 is the number of letters between i and n in the English word.

Starter uses `react-intl`. `react-intl` may appears complicated for you first time.

### `/locals`
Here you can store your translations.

### `/src/server/i18n`
Server-side code responsible for i18n on server.
1. Get language from request `Accept-Language` header.
2. Get language translation from `/locals`
3. Render app on server + add window.i18n with localization data (only for this language!)
4. Respond with rendered app.
5. Use translations/localization stuff from server in browser.
